<?php 

// Direct access to the file not allowed.
if( ! defined( 'ABSPATH' ) ) {
    exit;
}

// Include Partial Refresh
get_template_part( 'framework/admin/class-partial-refresh' );

// Include Kirki Framework
get_template_part( 'framework/admin/kirki/kirki' );

// Include Dynamic CSS File
get_template_part( 'framework/class-lana-dynamic-css' );

#########################################
# THEME CONFIG
#########################################
Kirki::add_config( 'lana_option', array(
    'capability'    => 'edit_theme_options',
    'option_type'   => 'theme_mod'
) );
##############################################
# GENERAL PANEL
##############################################
Kirki::add_panel( 'lana_general_panel', array(
    'title'         => esc_attr__( 'General', 'lana' ),
    'priority'      => 10
) );
#######################################################
# [GENERAL] SKIN SECTION
#######################################################
Kirki::add_section( 'lana_general_skin_section', array(
    'title' => __( 'Skin', 'lana' ),
    'panel' => 'lana_general_panel'
) );
Kirki::add_field( 'lana_option', array(
    'type'      => 'color',
    'settings'  => 'lana_primary_color',
    'label'     => __( 'Primary Color', 'lana' ),
    'tooltip'   => __( 'Select theme primary color.', 'lana' ),
    'section'   => 'lana_general_skin_section',
    'transport' => 'auto',
    'default'   => '#6cc5af',
    'output'    => array(
        array( 
            'element'   => 'a:hover, a.toggle, #header .logo strong:hover, ul.icons li a:hover, .features article .icon:before, h2.comments-title span, .posts article a.post-edit-link:hover, article nav.nav-single a:hover, a.comment-reply-link:hover, #cancel-comment-reply-link',
            'property'  => 'color'
        ),
        array(
            'element'   => 'article ul.post-tags li a:hover',
            'property'  => 'background-color'
        ),
        array(
            'element'   => 'article ul.post-tags li a, input[type="text"]:focus, input[type="password"]:focus, input[type="email"]:focus, input[type="tel"]:focus, input[type="search"]:focus, input[type="url"]:focus, select:focus, textarea:focus',
            'property'  => 'border-color'
        ),
        array(
            'element'   => '#header, header.major > :last-child',
            'property'  => 'border-bottom-color'
        )
    )
) );
########################################
# [GENERAL] ADDITIONAL CSS
########################################
Kirki::add_section( 'custom_css', array(
    'title' => esc_attr__( 'Additional CSS', 'lana' ),
    'panel' => 'lana_general_panel'
) );
#######################################################
# [GENERAL] BODY SECTION
#######################################################
Kirki::add_section( 'lana_general_body_section', array(
    'title' => esc_attr__( 'Body', 'lana' ),
    'panel' => 'lana_general_panel'
) );
Kirki::add_field( 'lana_option', array(
    'type'              => 'typography',
    'settings'          => 'lana_body_font',
    'label'             => esc_attr__( 'Body Font', 'lana' ),
    'tooltip'           => esc_attr__( 'Customize body font.', 'lana' ),
    'section'           => 'lana_general_body_section',
    'transport'         => 'auto',
    'default'           => array(
        'font-family'   => 'Open Sans',
        'variant'       => '300',
        'font-size'     => '13pt',
        'line-height'   => '1.5',
        'color'         => '#676d79'
    ),
    'output'            => array(
        array(
            'element'   => 'body, input, textarea, select'
        )
    )
) );
###########################################################
# [GENERAL] HEADINGS SECTION
###########################################################
Kirki::add_section( 'lana_general_headings_section', array(
    'title' => esc_attr__( 'Headings', 'lana' ),
    'panel' => 'lana_general_panel'
) );
Kirki::add_field( 'lana_option', array(
    'type'              => 'typography',
    'settings'          => 'lana_headings_font',
    'label'             => esc_attr__( 'Headings Font', 'lana' ),
    'tooltip'           => esc_attr__( 'Customize h1, h2, h3, h4, h5, h6 font.', 'lana' ),
    'section'           => 'lana_general_headings_section',
    'transport'         => 'auto',
    'default'           => array(
        'font-family'   => 'Roboto Slab',
        'variant'       => '700',
        'line-height'   => '1.5',
        'color'         => '#3d4449'
    ),
    'output'            => array(
        array(
            'element'   => 'h1, h2, h3, h4, h5, h6'
        )
    )
) );
##########################################################
# [GENERAL] SIDEBAR
##########################################################
Kirki::add_section( 'lana_general_sidebar_section', array(
    'title' => esc_attr__( 'Sidebar', 'lana' ),
    'panel' => 'lana_general_panel'
) );
Kirki::add_field( 'lana_option', array(
    'type'              => 'switch',
    'settings'          => 'lana_sidebar_search',
    'label'             => esc_attr__( 'Search', 'lana' ),
    'tooltip'           => esc_attr__( 'Enable or disable search feature on sidebar top area.', 'lana' ),
    'section'           => 'lana_general_sidebar_section',
    'default'           => true
) );
#############################################
# HEADER PANEL
#############################################
Kirki::add_panel( 'lana_header_panel', array(
    'title'    => esc_attr__( 'Header', 'lana' ),
    'priority' => 20
) );
###########################################
# [HEADER] LOGO SECTION
###########################################
Kirki::add_section( 'title_tagline', array(
    'title' => esc_attr__( 'Logo', 'lana' ),
    'panel' => 'lana_header_panel'
) );
Kirki::add_field( 'lana_option', array(
    'type'              => 'typography',
    'settings'          => 'lana_logo_font',
    'label'             => esc_attr__( 'Title Font', 'lana' ),
    'tooltip'           => esc_attr__( 'Customize logo font.', 'lana' ),
    'section'           => 'title_tagline',
    'transport'         => 'auto',
    'default'           => array(
        'font-family'   => 'Roboto Slab',
        'variant'       => '700',
        'font-size'     => '1.125em',
        'color'         => '#3d4449'
    ),
    'output'            => array(
        array(
            'element'   => '#header .logo strong'
        )
    )
) );
Kirki::add_field( 'lana_option', array(
    'type'              => 'typography',
    'settings'          => 'lana_logo_tagline_font',
    'label'             => esc_attr__( 'Tagline Font', 'lana' ),
    'tooltip'           => esc_attr__( 'Customize logo tagline font.', 'lana' ),
    'section'           => 'title_tagline',
    'transport'         => 'auto',
    'default'           => array(
        'font-family'   => 'Roboto Slab',
        'font-size'     => '1.125',
        'color'         => '#7f888f'
    ),
    'output'            => array(
        array(
            'element'   => '#header .logo'
        )
    )
) );
#######################################################
# FRONT PAGE BOXES PANEL
#######################################################
Kirki::add_panel( 'lana_front_page_boxes_panel', array(
    'title'    => esc_attr__( 'Front Page Boxes', 'lana' ),
    'priority' => 30 
) );

##################################################################
# FRONT PAGE BOXES GENERAL SECTION
##################################################################
Kirki::add_section( 'lana_front_page_boxes_general_section', array(
    'title' => esc_attr__( 'General', 'lana' ),
    'panel' => 'lana_front_page_boxes_panel'
) );
###########################################################
# FRONT PAGE BOX 1 SECTION
###########################################################
Kirki::add_section( 'lana_front_page_box_1_section', array(
    'title' => esc_attr__( 'Front Page Box #1', 'lana' ),
    'panel' => 'lana_front_page_boxes_panel'
) );
Kirki::add_field( 'lana_option', array(
    'type'      => 'switch',
    'settings'  => 'lana_front_page_box_1_enable',
    'label'     => esc_attr__( 'Enable', 'lana' ),
    'tooltip'   => esc_attr__( 'Enable front page box ?', 'lana' ),
    'section'   => 'lana_front_page_box_1_section',
    'default'   => true
) );
Kirki::add_field( 'lana_option', array(
    'type'      => 'fontawesome',
    'settings'  => 'lana_front_page_box_1_icon',
    'label'     => esc_attr__( 'Icon', 'lana' ),
    'tooltip'   => esc_attr__( 'Select front page box icon.', 'lana' ),
    'section'   => 'lana_front_page_box_1_section',
    'default'   => 'tablet'
) );
Kirki::add_field( 'lana_option', array(
    'type'      => 'text',
    'settings'  => 'lana_front_page_box_1_title',
    'label'     => esc_attr__( 'Title', 'lana' ),
    'tooltip'   => esc_attr__( 'Set front page box custom title.', 'lana' ),
    'section'   => 'lana_front_page_box_1_section',
    'default'   => __( 'Responsive Layout', 'lana' )
) );
Kirki::add_field( 'lana_option', array(
    'type'      => 'textarea',
    'settings'  => 'lana_front_page_box_1_text',
    'label'     => esc_attr__( 'Text', 'lana' ),
    'tooltip'   => esc_attr__( 'Set front page box custom text.', 'lana' ),
    'section'   => 'lana_front_page_box_1_section',
    'default'   => __( 'Powerful Layout with Responsive functionality that can be adapted to any screen size.', 'lana' )
) );
###########################################################
# FRONT PAGE BOX 2 SECTION
###########################################################
Kirki::add_section( 'lana_front_page_box_2_section', array(
    'title' => esc_attr__( 'Front Page Box #2', 'lana' ),
    'panel' => 'lana_front_page_boxes_panel'
) );
Kirki::add_field( 'lana_option', array(
    'type'      => 'switch',
    'settings'  => 'lana_front_page_box_2_enable',
    'label'     => esc_attr__( 'Enable', 'lana' ),
    'tooltip'   => esc_attr__( 'Enable front page box ?', 'lana' ),
    'section'   => 'lana_front_page_box_2_section',
    'default'   => true
) );
Kirki::add_field( 'lana_option', array(
    'type'      => 'fontawesome',
    'settings'  => 'lana_front_page_box_2_icon',
    'label'     => esc_attr__( 'Icon', 'lana' ),
    'tooltip'   => esc_attr__( 'Select front page box icon.', 'lana' ),
    'section'   => 'lana_front_page_box_2_section',
    'default'   => 'magic'
) );
Kirki::add_field( 'lana_option', array(
    'type'      => 'text',
    'settings'  => 'lana_front_page_box_2_title',
    'label'     => esc_attr__( 'Title', 'lana' ),
    'tooltip'   => esc_attr__( 'Set front page box custom title.', 'lana' ),
    'section'   => 'lana_front_page_box_2_section',
    'default'   => __( 'Powerful Performance', 'lana' )
) );
Kirki::add_field( 'lana_option', array(
    'type'      => 'textarea',
    'settings'  => 'lana_front_page_box_2_text',
    'label'     => esc_attr__( 'Text', 'lana' ),
    'tooltip'   => esc_attr__( 'Set front page box custom text.', 'lana' ),
    'section'   => 'lana_front_page_box_2_section',
    'default'   => __( 'Optimized code that are completely customizable and deliver unmatched fast performance.', 'lana' )
) );
###########################################
# BLOG PANEL
###########################################
Kirki::add_panel( 'lana_blog_panel', array(
    'title'    => esc_attr__( 'Blog', 'lana' ),
    'priority' => 40
) );
Kirki::add_section( 'lana_blog_general_section', array(
    'title' => esc_attr__( 'General', 'lana' ),
    'panel' => 'lana_blog_panel'
) );
Kirki::add_field( 'lana_option', array(
    'type'     => 'switch',
    'settings' => 'lana_blog_readmore',
    'label'    => esc_attr__( 'Read More', 'lana' ),
    'tooltip'  => esc_attr__( 'You can disable read more button on blog posts here.', 'lana' ),
    'section'  => 'lana_blog_general_section',
    'default'  => true
) );
#######################################################
# SOCIAL ICONS
#######################################################
Kirki::add_section( 'lana_social_icons_section', array(
    'title'     => esc_attr__( 'Social Icons', 'lana' ),
    'priority'  => 50
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'switch',
    'settings'      => 'lana_social_icons_enable',
    'label'         => esc_attr__( 'Enable', 'lana' ),
    'tooltip'       => esc_attr__( 'Enables social icons in header top right side.', 'lana' ),
    'section'       => 'lana_social_icons_section',
    'default'       => true
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_facebook',
    'label'         => esc_attr__( 'Facebook', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your facebook page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_twitter',
    'label'         => esc_attr__( 'Twitter', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your twitter page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_flickr',
    'label'         => esc_attr__( 'Flickr', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your flickr page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_vimeo',
    'label'         => esc_attr__( 'Vimeo', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your vimeo page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_youtube',
    'label'         => esc_attr__( 'YouTube', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your youtube page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_instagram',
    'label'         => esc_attr__( 'Instagram', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your instagram page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_pinterest',
    'label'         => esc_attr__( 'Pinterest', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your pinterest page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_tumblr',
    'label'         => esc_attr__( 'Tumblr', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your tumblr page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_google',
    'label'         => esc_attr__( 'Google', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your google page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_dribbble',
    'label'         => esc_attr__( 'Dribbble', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your dribbble page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_digg',
    'label'         => esc_attr__( 'Digg', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your digg page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_linkedin',
    'label'         => esc_attr__( 'LinkedIn', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your linkedin page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_blogger',
    'label'         => esc_attr__( 'Blogger', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your blogger page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_skype',
    'label'         => esc_attr__( 'Skype', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your skype username.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_myspace',
    'label'         => esc_attr__( 'MySpace', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your myspace page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_deviantart',
    'label'         => esc_attr__( 'Deviantart', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your deviantart page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_yahoo',
    'label'         => esc_attr__( 'Yahoo', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your yahoo page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_reddit',
    'label'         => esc_attr__( 'Reddit', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your reddit page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_paypal',
    'label'         => esc_attr__( 'PayPal', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your paypal page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_dropbox',
    'label'         => esc_attr__( 'Dropbox', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your dropbox page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_soundcloud',
    'label'         => esc_attr__( 'SoundCloud', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your soundcloud page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_vk',
    'label'         => esc_attr__( 'VK', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your vk page url.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_email',
    'label'         => esc_attr__( 'Email', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your email address.', 'lana' ),
    'section'       => 'lana_social_icons_section'
) );
Kirki::add_field( 'lana_option', array(
    'type'          => 'text',
    'settings'      => 'lana_social_rss',
    'label'         => esc_attr__( 'RSS', 'lana' ),
    'tooltip'       => esc_attr__( 'Enter your rss page url.', 'lana' ),
    'section'       => 'lana_social_icons_section',
    'default'       => esc_url_raw( get_bloginfo( 'rss2_url' ) )
) );
#############################################
# FOOTER
#############################################
Kirki::add_panel( 'lana_footer_panel', array(
    'title'     => esc_attr__( 'Footer', 'lana' ),
    'priority'  => 60
) );
#########################################################
# [FOOTER] GENERAL SECTION
#########################################################
Kirki::add_section( 'lana_footer_general_section', array(
    'title' => esc_attr__( 'General', 'lana' ),
    'panel' => 'lana_footer_panel'
) );
Kirki::add_field( 'lana_option', array(
    'type'      => 'editor',
    'settings'  => 'lana_copyright',
    'label'     => esc_attr__( 'Copyright', 'lana' ),
    'tooltip'   => esc_attr__( 'Set custom copyright message.', 'lana' ),
    'section'   => 'lana_footer_general_section',
    'default'   => sprintf( '%s: %s', esc_attr__( 'Lana theme by', 'lana'), '<a href="'. esc_url( 'https://theme-vision.com' ).'">Theme Vision</a>' )
) );

/* Omit closing PHP tag to avoid "Headers already sent" issues. */
