<?php 

// Do not allow direct access to the file.
if( ! defined( 'ABSPATH' ) ) {
    exit;
}

class Lana_Helper {
	
	/**
	 * Lana Theme .inner & #main End Wrappers
	 * [ used before sidebar start ]
	 *
	 * @since 1.0.0
	 */
	public static function get_end_wrappers() {
			echo '</div><!-- Inner End -->';
		echo '</div><!-- Main End -->';
	}
    
    /**
     * Pagination
     *
     * @since 2.0
     */
	public static function pagination() {
        global $wp_query;
        
        $big        = 999999999;
        $translated = __( 'Page', 'lana' );
        
        $prev_link  = get_previous_posts_link( __('&laquo; Older Entries', 'lana' ) );
        $next_link  = get_next_posts_link( __('Newer Entries &raquo;', 'lana' ) );
        
        $total      = $wp_query->max_num_pages;
        
        // Fix Paged on Static Homepage
        if( get_query_var('paged') ) {
            $paged = get_query_var('paged');
        } else if( get_query_var('page') ) {
            $paged = get_query_var('page');
        } else { 
            $paged = 1; 
        }
        
        if( $total > 1 ) {
            echo '<hr>';
            $output = paginate_links( array(
                'base'               => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
                'format'             => '?paged=%#%',
                'current'            => max( 1, $paged ),
                'total'              => $total,
                'prev_text'          => __( '« Previous', 'lana' ),
                'next_text'          => __( 'Next »', 'lana' ),
                'type'               => 'list',
                'before_page_number' => '<span class="screen-reader-text">' . $translated . '</span>'
            ) );
            $output = str_replace( 'page-numbers', 'pagination', $output );
            $output = str_replace( 'prev pagination', 'button prev', $output );
            $output = str_replace( 'next pagination', 'button next', $output );
            echo $output;
        }
    }
}

/* Omit closing PHP tag to avoid "Headers already sent" issues. */
