<?php 
/**
 * The sidebar containing the main widget area
 *
 * If no active widgets are in the sidebar, hide it completely.
 *
 * @package Theme-Vision
 * @subpackage Lana
 * @since 1.0
 */

// Do not allow direct access to the file.
if( ! defined( 'ABSPATH' ) ) {
    exit;
} ?>

<!-- Sidebar -->
<div id="sidebar" class="widget-area">
	<div class="inner">
		
        <?php if( get_theme_mod( 'lana_sidebar_search', true ) ): ?>
            <?php get_template_part( 'searchform' ); ?>
        <?php endif; ?>
			
		<?php Lana::menu(); ?>
		
		<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>
			
			<?php dynamic_sidebar( 'sidebar-1' ); ?>
		
		<?php endif; ?>
		
		<footer id="footer">
			<p class="copyright">
				<?php Lana::get_copyright(); ?>
			</p>
		</footer>
		
	</div>
</div><!-- Sidebar End -->
